<template>
  <section class="projects-section" id="projects">
    <div class="wrapper">
      <BaseTitle class="projects-section__heading"> What we do </BaseTitle>
      <div class="projects-section__cards">
        <ProjectCardVue
          v-for="(card, i) in cards"
          :key="i"
          v-bind="{ ...card, isImageRight: isImageRight(i) }"
        />
      </div>
    </div>
  </section>
</template>

<script lang="ts">
import { Component, Vue } from "vue-property-decorator";
import BaseTitle from "@/components/BaseTitle.vue";
import ProjectCardVue from "@/components/ProjectCard.vue";
import { isOdd } from "@/utils/isOdd";

type ProjectCardItem = {
  imageUrl: string;
  subtitle: string;
  title: string;
  description: string;
  location: string;
};

@Component({ components: { BaseTitle, ProjectCardVue } })
export default class ProjectsSection extends Vue {
  cards: ProjectCardItem[] = [
    {
      imageUrl: "/src/assets/trade_center_project.png",
      subtitle: "One world",
      title: "Trade center",
      description:
        "Increasing prosperity in our lives can be accomplished by having the right frame of mind. The truth is, our thoughts are very powerful.",
      location: "New Your City, United States - 1776 feet",
    },
    {
      imageUrl: "/src/assets/project_commerce_centre.png",
      subtitle: "International",
      title: "Commerce centre",
      description:
        "Successful businesses have many things in common, today we’ll look at the big ‘R’ of recognition and how a digital advertising network may help.",
      location: "Hong Kong - 1588 feet",
    },
  ];

  isImageRight(index) {
    return isOdd(index);
  }
}
</script>

<style lang="scss" scoped>
.projects-section {
  padding: 100px 0 150px;

  &__heading {
    margin-bottom: 147px;
  }

  &__cards {
    display: flex;
    flex-direction: column;
    gap: 177px;
  }

  &__card-image {
    display: block;
  }
}
</style>
